--- old/usr/src/lib/libc/port/mapfile-vers	Mon Jul 10 20:52:28 2017
+++ new/usr/src/lib/libc/port/mapfile-vers	Mon Jul 10 20:52:28 2017
@@ -29,6 +29,7 @@
 # Copyright (c) 2013, OmniTI Computer Consulting, Inc. All rights reserved.
 # Copyright (c) 2013 Gary Mills
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
+# Copyright 2015 RackTop Systems.
 
 #
 # MAPFILE HEADER START
@@ -405,7 +406,6 @@
 	aio_waitn;
 	aio_write;
 	aiowrite;
-	asprintf;
 	assfail;
 	backtrace;
 	backtrace_symbols;
@@ -436,7 +436,6 @@
 	faccessat;
 	fchmodat;
 	fcloseall;
-	fdatasync;
 	ffsl;
 	ffsll;
 	fgetattr;
@@ -521,7 +520,6 @@
 	sigqueue;
 	sigtimedwait;
 	sigwaitinfo;
-	smt_pause;
 	stpcpy;
 	stpncpy;
 	strcasestr;
@@ -545,7 +543,6 @@
 	uconv_u32tou8;
 	uconv_u8tou16;
 	uconv_u8tou32;
-	vasprintf;
 	verr;
 	verrx;
 	vforkx;
@@ -576,6 +573,14 @@
 	posix_fadvise64;
 	posix_fallocate64;
 $endif
+} SUNW_1.22.7;
+
+SYMBOL_VERSION SUNW_1.22.7 {	# s10u10 - SunOS 5.10 (Solaris 10) patch additions
+    protected:
+	asprintf;
+	fdatasync;
+	smt_pause;
+	vasprintf;
 } SUNW_1.22.6;
 
 SYMBOL_VERSION SUNW_1.22.6 {	# s10u9 - SunOS 5.10 (Solaris 10) patch additions
